### Method

# Gtk TreeView create_row_drag_icon

deprecated: 4.10

#### Declaration [src]

    GdkPaintable*
    gtk_tree_view_create_row_drag_icon (
      GtkTreeView* tree_view,
      GtkTreePath* path
    )

#### Description [src]

Creates a `cairo_surface_t` representation of the row at `path`. This image is used for a drag icon.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath` in `tree_view`.

  The data is owned by the caller of the method.

#### Return value

Type: `GdkPaintable`

A newly-allocated surface of the drag icon.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.